/*******************************************************************************
 * Copyright (c) 2012 Original authors and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Original authors and others - initial API and implementation
 ******************************************************************************/
package org.eclipse.nebula.widgets.nattable.selection;

import java.util.List;

public interface IRowSelectionModel<R> extends ISelectionModel {

	/**
	 * Expose the underlying row objects
	 * 
	 * @return The selected row objects.
	 */
	public List<R> getSelectedRowObjects();
	
	/**
	 * Removes the selected row object from the selection
	 * 
	 * @param rowObject
	 */
	public void clearSelection(R rowObject);
	
}
